### Function

# CoglPango ensure_glyph_cache_for_layout

#### Declaration [src]

    void
    cogl_pango_ensure_glyph_cache_for_layout (
      PangoLayout* layout
    )

#### Description [src]

This updates any internal glyph cache textures as necessary to be able to render the given `layout`.

This api should be used to avoid mid-scene modifications of glyph-cache textures which can lead to undefined rendering results.

#### Parameters

`layout`

  Type: `PangoLayout`

  A `PangoLayout`.

  The data is owned by the caller of the function.